BANK MEGA SYARIAH ES Bugs - Feature #2968

[HR-Report Payslip] perubahan layout payslip dari atas bawah ke kiri kanan
08/12/2024 10:51 AM - Muhammad Bintar

Status: Closed Start date: 08/12/2024
Priority: High Due date: 08/14/2024
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

dear tim developer mohon support nya untuk perubahan pada layout payslip dimana mau di settingkan dari atas bawah ke kiri
kanan.
terlampir bentuk payslip nya.

remote.minovais.com:31134
database sql
remote.minovais.com, 1442
bank mega syariah dev

History

#1 - 08/12/2024 11:36 AM - Kezia Pawitra Yulianti
- Due date changed from 08/16/2024 to 08/14/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 08/13/2024 10:59 AM - shofwan shiddiq

- File clipboard-202408131055-0gmdp.png added
- File clipboard-202408131059-31vkh.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Dear Mas Bintar , report payslip sudah di revisi

Payslip sudah di deploy di report paysip HR dan ESS
My Business i Human R System A Search Q Help . minovais ~

. . Ayl nunnese w Lnsne
’ Transaction Date 01/01/2022 -

Employze ID Q
Report Result
Workdiow Raport W4 of1z b b Expart
ESS ePayslip A PAYSLIP
B Request SalmEA Periode: 2021 - 08
o Name Of Employee : Prof. DR. Anwar Abbas, MM Position : Dewan Pengawas Syariah
Inbox
MIP / Employee ID 1 00009499 Office . Head Office-KPO
Outbox
Grade ISVP2
Archive Pot
Henorarum/DPS : Rp. 35,000,000 rotongan
B Business Intelligence Tunjangan PPh Ps.21 Reguler - Rp. 5,541,687 Potongan PPh Pasal 21 © Rp. 6541687
Total Pote © Rp. 6,541,687
B Human Resource otal Fotongan P 0,541
I System Administration Setoran Perusahaan
Potongan PPh Pasal 21 ° Rp 65418687
Total Potongan ° Rp. 6,541,687
Total Pendapatan Bersih (TPB) Rp. 41,541,687 Total Pendapatan Bersih (TPB) ~ Rp. 35,000,000
Sowsga moriadi keievbakan fagé anda dan bduarga anda
1. Pay Slip ini dikeluarkan nkeh sistem dan tidak membutuhkan tanda tangan
2. Pay Slip ini dapat dicetak hanya jika diperiukan

PACKAGE

1. Update SP & RDL
RDL: CRPTESSPAYSLIPGROUP, PRPTPYPAYSLIPLANDSCAPE_BMS, PRPTPYPAYSLIPGROUP_BMS
SP: PRPTPYPAYSLIPGROUP_BMS, PRPTPYPAYSLIP_BMS, PRPTPYPAYSLIPHEADER_BMS

2. Ubah Report Catalog

Column Alias Table Output  Sort Type Sort Order Filter Or... Qr.. Or...
ReportlD PCMEPRPT. @
» MenulD PCMEPRPT... [ ] = "MYEPAYSL...
StoreMame PCMEPRPT... [ ]
RdIName PCMEPRPT.., [ ]
ReportSource... PCMEPRPT... []
HeaderTitle PCMEPRPT... [ ]
FooterTitle PCMEPRPT... -]
ReportLayout PCMEPRPT... [ ]
MNotes PCMEPRPT... [ ]
CreateBy PCMEPRPT... [} ’
CreateDate PCMEPRPT. @
ChangeBy PCMEPRPT... (]
ChangeDate PCMEPRPT... [ ]
a
ReportiD MenulD StoreMame  RdIName ReportSour.. HeaderTitle FooterTitle Reportlayo.. MNotes Cre
1300017 PYARO2 NULL PRPTPYPAYSLIPGROUP_BMS 1 ReportPay Slip  ReportPaySlip  ROO1 Report Pay .. min
CRPTESSPAYSLIPGROUP MYEPAYSLIP NULL CRPTESSPAYSLIPGROUP 1 Report ESS Payslip Report ESS Payslip R001 Report ESS .. min
w o NULL NULL NULL NULL NULL NULL NULL NULL NULL NUI

Flow Report

1. Income = Mengambil wage type yang payroll Type nya | (PHRPYCUO0308)

2. Potongan = Mengambil Wage type yang payroll Type nya D (PHRPYCUO0308)
3. Setoran = Mengambil Wage Type yang terdaftar di PHRPYBENCAL

4. TPK = Mengambil wage type TI

5. TPB = Mengambil wage type THP

#3 - 08/14/2024 03:02 PM - Muhammad Bintar
- Status changed from QA Test to Deploy
okeh sudah di deploy ke pc server development BMS

#4 - 08/20/2024 11:30 AM - Muhammad Bintar
- File PRPTPYPAYSLIPGROUP_BMS.xIsx added
- Status changed from Deploy to Assigned

- Assignee changed from Muhammad Bintar to shofwan shiddiq

update:
ada catatan dari report payslip nya.

Yg BPJS itu muncul batas maksimal upah

Yg nomor 1 - 8 (BPJS) turun ke setoran perusahaan(ada nama perusahaan) kemudian pph 21 juga dibawah aja munculnya yang di atas jangan

tampil.

sama ess payslip kalau lagi running payroll , jangan tampil dulu.

#5 - 08/20/2024 04:17 PM - shofwan shiddiq
- File 2fc02d77-7463-416f-9db2-9c¢3a9d4b8967 jpg added

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Sudah di deploy yah semua perubahan

IR 4 |1 of1 kPl [Select a format v | Export
M PAYSLIP
ANKMEGA Periode: 2021 - 10
Mame Of Employee . Kasim Priyanto Fosifion - Posisi Dummy
MIP { Employee ID - 00000010 Office - Head Office-KFPO
Grade (ADS 4
N ! Potongan
Gaji Pokok Pegawai - Rp. 5,021,700
- Potongan Jaminan Hari Tua .
Lembur dibayar langsung i 3 e :Rp. 210,868
(Number) :Rp. 29,027 (JHT) - Pegawai
Lembur Jam ke - 1 ‘Rp. 43,540 Potongan Wakaf BWI :Rp. 20,000
Lembur Jam ke - 2 dst “Rp. 203189 |  Total Potongan Hp: 230,868
Tunjangan Makan -Rp. 250,000
Setoran Perusahaan
Tunjangan Transportasi -Rp. 250,000
Potongan Jaminan Hari Tua E
(JHT) - Perusahaan =Hp. 3011
Potongan Jaminan Kecelakaan E
Kerja (JKK) - Perusahaan :Rp. 49,408
Potongan Jaminan Kematian i »
{JKM) - Perusahaan -Rp. 61.760
Total Potongan “Rp. 501,273
Total Pendapatan Bersih (TPB) : 5,796,780 | Total Pendapatan Bersih (TPB) :Rp. 5,065,315
Semoga morjads bebevbakan bage anda dan bluarga anda
1. Pay Slip ini dikeearkan oleh sistem dan tidak membutuhkan tanda tangan
2, Pay Slip ini dapat dicetak hanya jika diperlukan
UPDATE
SP: PRPTPYPAYSLIP_BMS, PRPTPYPAYSLIPHEADER_BMS
RDL: PRPTPYPAYSLIPLANDSCAPE_BMS
#6 - 09/02/2024 03:41 PM - Muhammad Bintar
- Status changed from Assigned to Closed
- Assignee changed from Muhammad Bintar to shofwan shiddiq
Files
epayslip.pdf 569 KB 08/12/2024 Muhammad Bintar
clipboard-202408131055-0gmdp.png 128 KB 08/13/2024 shofwan shiddiq
clipboard-202408131059-31vkh.png 88.8 KB 08/13/2024 shofwan shiddiq
PRPTPYPAYSLIPGROUP_BMS.xlsx 49.5 KB 08/20/2024 Muhammad Bintar
2fc02d77-7463-416f-9db2-9c3a9d4b8967 .jpg 100 KB 08/20/2024 shofwan shiddiq
